# OpalIMContext::CompositionInfo Struct Reference

`#include <im.h>`

## Public Member Functions

| CompositionInfo (const PString &id, const PString &state, const PString &contentType=PString::Empty())

## Data Fields

PString | m_conversationId
| Conversation ID to get OpalIMContext.
PString | m_state
| New state, usually CompositionIndicationActive() or CompositionIndicationIdle().
PString | m_contentType
| MIME type of composed message.

## Detailed Description

Composition information.

## Constructor & Destructor Documentation

OpalIMContext::CompositionInfo::CompositionInfo | ( | const PString & | id,
|  | const PString & | state,
|  | const PString & | contentType = `PString::Empty()` |
| ) |  |  | `[inline]`

## Field Documentation

PString OpalIMContext::CompositionInfo::m_contentType

MIME type of composed message.

PString OpalIMContext::CompositionInfo::m_conversationId

Conversation ID to get OpalIMContext.

PString OpalIMContext::CompositionInfo::m_state

New state, usually CompositionIndicationActive() or CompositionIndicationIdle().

The documentation for this struct was generated from the following file:

- im.h